<?php
/**
 * 管理员管理
 * $Id: grade_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$action_type = ParamUtil::getRequestString("action_type");//new edit
$id = ParamUtil::getRequestString("id");
$class_no = ParamUtil::getRequestString("class_no");
$title = ParamUtil::getRequestString("title");
$member_count = ParamUtil::getRequestNumber("member_count");
$school_id = ParamUtil::getRequestNumber("school_id", 1);
$grade_id = ParamUtil::getRequestNumber("grade_id");
$manager_id = ParamUtil::getRequestNumber("manager_id",0);

//创建的时候
if($action_type=="new") {
	$class_mst = new ClassMst();
}

//编辑
if($action_type=="edit") {
	$class_mst = ClassMst::getById($id);
	if ($class_mst == null) {
		// エラー表示
		$layout_pages = array();
		$layout_pages["left"] = "menu.inc";
		$layout_pages["right"] = "error.inc";
		$layout_pages["menu_clicked"] = "menu_class";
		require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
		exit;
	}
}

// 数据库更新
$class_mst->school_id = $school_id;
$class_mst->grade_id = $grade_id;
$class_mst->class_no = $class_no;
$class_mst->title = $title;
$class_mst->member_count = $member_count;
$class_mst->manager_id = $manager_id;
$class_mst->save();

// 跳到一览页
header("Location:class_list.php");
exit;